Page MenuHomePhabricator

PHP error from CirrusSearch/RequestLogger: "Array to string conversion"
Closed, ResolvedPublic

Description

Error

Request URL: /w/api.php …
Request ID: XRJzVApAIDkAADTVaowAAADV

message
PHP Notice: Array to string conversion
trace
	#0 /srv/mediawiki/php-1.34.0-wmf.10/extensions/CirrusSearch/includes/RequestLogger.php(341): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.10/extensions/CirrusSearch/includes/RequestLogger.php(99): CirrusSearch\RequestLogger->buildCirrusSearchRequestEvent()
#2 /srv/mediawiki/php-1.34.0-wmf.10/extensions/CirrusSearch/includes/RequestLogger.php(128): CirrusSearch\RequestLogger->reportLogs()
#3 /srv/mediawiki/php-1.34.0-wmf.10/includes/deferred/MWCallableUpdate.php(38): Closure$CirrusSearch\RequestLogger::addRequest()
#4 /srv/mediawiki/php-1.34.0-wmf.10/includes/deferred/DeferredUpdates.php(309): MWCallableUpdate->doUpdate()
#5 /srv/mediawiki/php-1.34.0-wmf.10/includes/deferred/DeferredUpdates.php(265): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti)
#6 /srv/mediawiki/php-1.34.0-wmf.10/includes/deferred/DeferredUpdates.php(217): DeferredUpdates::handleUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#7 /srv/mediawiki/php-1.34.0-wmf.10/includes/deferred/DeferredUpdates.php(144): DeferredUpdates::handleUpdateQueue(array, string, integer)
#8 /srv/mediawiki/php-1.34.0-wmf.10/includes/MediaWiki.php(907): DeferredUpdates::doUpdates(string)
#9 /srv/mediawiki/php-1.34.0-wmf.10/includes/MediaWiki.php(731): MediaWiki->restInPeace(string, boolean)
#10 [internal function]: Closure$MediaWiki::doPostOutputShutdown()

Impact

To be determined.

Notes

Started right after 1.34-wmf.10 was promoted to group2 Wikipedias. Not seen in the 30 days prior from any other deployment branch.

Event Timeline

Krinkle created this task.Jun 25 2019, 7:38 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 25 2019, 7:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 519102 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Convert array params to string when logging requests

https://gerrit.wikimedia.org/r/519102

dcausse claimed this task.Jun 25 2019, 8:12 PM
dcausse triaged this task as Normal priority.
dcausse moved this task from needs triage to Current work on the Discovery-Search board.
dcausse moved this task from in progress to Needs review on the Discovery-Search (Current work) board.

Change 519102 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Convert array params to string when logging requests

https://gerrit.wikimedia.org/r/519102

Change 519161 had a related patch set uploaded (by Krinkle; owner: DCausse):
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.11] Convert array params to string when logging requests

https://gerrit.wikimedia.org/r/519161

Change 519161 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.11] Convert array params to string when logging requests

https://gerrit.wikimedia.org/r/519161

Mentioned in SAL (#wikimedia-operations) [2019-06-26T12:01:19Z] <dcausse@deploy1001> Synchronized php-1.34.0-wmf.11/extensions/CirrusSearch/includes/RequestLogger.php: T226568: Convert array params to string when logging requests (duration: 00m 56s)

debt closed this task as Resolved.Jul 3 2019, 4:25 PM